package ACL2::Lisp::Comma;
use base 'ACL2::Lisp::BaseNode';

#
#  AST node for atoms prefixed with commas
#  Copyright (C) 2009 Antonio García Domínguez
#  $Id$
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

sub new
{
    my ($pkg, $value) = @_;
    return ACL2::Lisp::BaseNode::new(
        $pkg, $value, "," . $value->source);
}

sub clean_tree {
    my ($self) = @_;
    return __PACKAGE__->new($self->value->clean_tree, $self->source);
}

1;
