; Script for checking that rev has the commutative property

(defun app (a b)
  (if (consp a)
      (cons (car a) (app (cdr a) b))
    b))

(defun rev (x)
  (if (consp x)
      (app (rev (cdr x)) (cons (car x) nil))
    nil))

(defthm rev-rev
  (implies (true-listp z)
           (equal (rev (rev z)) z)))